angular.module('app.routes', [])

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  .state('ceitificator', {
    url: '/home',
    templateUrl: 'templates/ceitificator.html',
    controller: 'ceitificatorCtrl'
  })

  .state('novoEvento', {
    url: '/novo-evento',
    templateUrl: 'templates/novoEvento.html',
    controller: 'novoEventoCtrl'
  })

  .state('listaDePresenAEventoX', {
    url: '/presenca/:eventId',
    templateUrl: 'templates/listaDePresenAEventoX.html',
    controller: 'listaDePresenAEventoXCtrl',
    resolve: {
        eventX: function($stateParams, EventsService) {
            return EventsService.getEventById($stateParams.eventId);
        }
    }
  });

$urlRouterProvider.otherwise('/home');

});
